Package org.jbpm.services.api.model

## Interface UserTaskInstanceDesc

- All Known Subinterfaces:
    `UserTaskInstanceWithPotOwnerDesc`, `UserTaskInstanceWithVarsDesc`
  All Known Implementing Classes:
    `UserTaskInstanceDesc`, `UserTaskInstanceWithPotOwnerDesc`, `UserTaskInstanceWithVarsDesc`

      public interface UserTaskInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getActivationTime()` | Returns the user task instance activation time.
    `String` | `getActualOwner()` | Returns the user task actual owner.
    `String` | `getCorrelationKey()` | Returns correlation key
    `String` | `getCreatedBy()` | Returns the user task instance created by.
    `Date` | `getCreatedOn()` | Returns the user task instance created on date.
    `String` | `getDeploymentId()` | Returns the user task deployment id.
    `String` | `getDescription()` | Returns the user task instance description.
    `Date` | `getDueDate()` | Returns the user task instance due date.
    `String` | `getFormName()` | Returns the user task form name.
    `String` | `getName()` | Returns the user task instance name.
    `Integer` | `getPriority()` | Returns the user task instance priority.
    `String` | `getProcessId()` | Returns the user task process id.
    `Long` | `getProcessInstanceId()` | Returns the user task instance process instance id.
    `Integer` | `getProcessType()` | Returns process type
    `Integer` | `getSlaCompliance()` | Returns the user task SLA compliance.
    `Date` | `getSlaDueDate()` | Returns the user task SLA due date.
    `String` | `getStatus()` | Returns the user task instance status.
    `String` | `getSubject()` | * Returns task subject
    `Long` | `getTaskId()` | Returns the user task instance task id.
    `Long` | `getWorkItemId()` | Returns the user task workitem id.
    `void` | `setCorrelationKey​(String correlationKey)` | Sets correlation key
    `void` | `setProcessType​(Integer processType)` | Set process type
    `void` | `setSlaCompliance​(Integer slaCompliance)` | Set the user task SLA compliance.
    `void` | `setSlaDueDate​(Date slaDueDate)` | Set the user task SLA due date.
    `void` | `setSubject​(String subject)` | Set task subject

- - ### Method Detail

    - #### getTaskId

          Long getTaskId()

      Returns the user task instance task id.
      Returns:
        task id

    - #### getStatus

          String getStatus()

      Returns the user task instance status.
      Returns:
        status

    - #### getActivationTime

          Date getActivationTime()

      Returns the user task instance activation time.
      Returns:
        activation time

    - #### getName

          String getName()

      Returns the user task instance name.
      Returns:
        name

    - #### getDescription

          String getDescription()

      Returns the user task instance description.
      Returns:
        description

    - #### getPriority

          Integer getPriority()

      Returns the user task instance priority.
      Returns:
        priority

    - #### getCreatedBy

          String getCreatedBy()

      Returns the user task instance created by.
      Returns:
        created by

    - #### getCreatedOn

          Date getCreatedOn()

      Returns the user task instance created on date.
      Returns:
        created on

    - #### getDueDate

          Date getDueDate()

      Returns the user task instance due date.
      Returns:
        due date

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Returns the user task instance process instance id.
      Returns:
        process instance id

    - #### getProcessId

          String getProcessId()

      Returns the user task process id.
      Returns:
        process id

    - #### getActualOwner

          String getActualOwner()

      Returns the user task actual owner.
      Returns:
        actual owner

    - #### getDeploymentId

          String getDeploymentId()

      Returns the user task deployment id.
      Returns:
        deployment id

    - #### getFormName

          String getFormName()

      Returns the user task form name.
      Returns:
        form name

    - #### getWorkItemId

          Long getWorkItemId()

      Returns the user task workitem id.
      Returns:
        workitem id

    - #### getSlaCompliance

          Integer getSlaCompliance()

      Returns the user task SLA compliance.
      Returns:
        SLA compliance

    - #### getSlaDueDate

          Date getSlaDueDate()

      Returns the user task SLA due date.
      Returns:
        SLA due date

    - #### setSlaCompliance

          void setSlaCompliance​(Integer slaCompliance)

      Set the user task SLA compliance.
      Parameters:
        `slaCompliance` - SLA compliance value

    - #### setSlaDueDate

          void setSlaDueDate​(Date slaDueDate)

      Set the user task SLA due date.
      Parameters:
        `slaDueDate` - SLA due date

    - #### getSubject

          String getSubject()

      * Returns task subject
      Returns:
        task subject

    - #### setSubject

          void setSubject​(String subject)

      Set task subject
      Parameters:
        `subject` - task subject

    - #### getCorrelationKey

          String getCorrelationKey()

      Returns correlation key
      Returns:
        correlation key

    - #### setCorrelationKey

          void setCorrelationKey​(String correlationKey)

      Sets correlation key
      Parameters:
        `correlationKey` -

    - #### getProcessType

          Integer getProcessType()

      Returns process type
      Returns:
        1 if process, 2 if case

    - #### setProcessType

          void setProcessType​(Integer processType)

      Set process type
      Parameters:
        `process` - type (1 for process, 2 for case)